<template>
  <div>
    <div class="container title my-5 d-flex justify-content-center">
      Browse all our products !
    </div>
    <CategoryView
      v-for="(category, index) in categories"
      :key="index"
      :categoryName="category"
      :limit="5"
    />
  </div>
</template>

<script setup>
import { ref } from 'vue'
import { getData } from '../categories'
import CategoryView from './CategoryView.vue'

const categories = ref([])
getData().then((data) => (categories.value = data))
</script>

<style lang="scss" scoped>
.title {
  font-size: 2em;
}
</style>
